%define _unpackaged_files_terminate_build 0

%define _java_ver		1.7.0
%define _java_rel		71
%define _java_home		/usr/java

%define java_rel		%{_java_rel}

#
# Don't make debug package
#
%define debug_package %{nil}

#
# Don't strip binary
# if follow define list is set, change first character # to %
# (#)(%)define is not permitted, only (#)define (for comment) or (%)define
#
%define __spec_install_post %{nil}
%define __find_requires %{nil}
%define _use_internal_dependency_generator 0
%define __jar_repack %{nil}

Summary: Java(TM) Platform Standard Edition Development Kit
Name: sun-jdk
Version: %{_java_ver}
Release: %{_java_rel}%{?dist}
Epoch: 0
Group: Development/Tools
License: Oracle Binary Code License (BCL)
URL: http://www.oracle.com/technetwork/java/javase/downloads/index.html
#Source0: jdk-%{version}_%{java_rel}.tar.bz2
Source1: jdk.profile.csh
Source2: jdk.profile.sh
Source3: fontconfig.properties
Source4: ko-fonts.tar.gz
Source100: jdk-mksource.sh
Buildroot: %{_tmppath}/jdk-%{version}_%{java_rel}-root
Requires: /bin/basename /bin/cat /bin/cp /bin/gawk /bin/grep
Requires: /bin/ln /bin/ls /bin/mkdir /bin/mv /bin/pwd /bin/rm
Requires: /bin/sed /bin/sort /bin/touch /usr/bin/cut /usr/bin/dirname
Requires: /usr/bin/expr /usr/bin/find /usr/bin/tail /usr/bin/tr
Requires: /usr/bin/wc /bin/sh
Conflicts: jdk
BuildRequires: wget

%description
The Java Platform Standard Edition Development Kit (JDK) includes both
the runtime environment (Java virtual machine, the Java platform classes
and supporting files) and development tools (compilers, debuggers,
tool libraries and other tools).

The JDK is a development environment for building applications, applets
and components that can be deployed with the Java Platform Standard
Edition Runtime Environment.

%prep
%setup -c -T -n jdk-%{version}_%{java_rel}

bash %{SOURCE100} %{_java_ver}_%{_java_rel} %{_arch}

%build

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__rm} -f jre/lib/fontconfig.*
%{__install} -m644 %{SOURCE3} jre/lib/fontconfig.properties
#perl -pi -e "s/\@ARCH\@/${carch}/g" jre/lib/fontconfig.properties
tar xvfpz %{SOURCE4}

cp -af ../include ../src.zip ./

if [ "%{_arch}" = "x86_64" ]; then
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jdk-%{version}_%{java_rel}/x86_64!g' > /tmp/jdk.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jdk-%{version}_%{java_rel}/x86_64!g' >> /tmp/jdk.list
else
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jdk-%{version}_%{java_rel}/i386!g' > /tmp/jdk.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jdk-%{version}_%{java_rel}/i386!g' >> /tmp/jdk.list
fi

popd

%install
# create directorys 
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} -p %{buildroot}%{_sysconfdir}/profile.d

%{__install} -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/jdk.csh
%{__install} -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/jdk.sh

cp -af etc/.java/ %{buildroot}%{_sysconfdir}/

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__mkdir_p} -p %{buildroot}%{_java_home}/jdk-%{version}_%{java_rel}/${carch}
cp -af * %{buildroot}%{_java_home}/jdk-%{version}_%{java_rel}/${carch}/
popd

%clean
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}
%{__rm} -f /tmp/jdk.list

%post
[ -L "%{_java_home}/latest" ] && %{__rm} -f %{_java_home}/latest
if [ "`/bin/uname -m`" = "x86_64" ]; then
	ln -sf %{_java_home}/jdk-%{version}_%{java_rel}/x86_64 %{_java_home}/latest
else
	ln -sf %{_java_home}/jdk-%{version}_%{java_rel}/i386 %{_java_home}/latest
fi

if [ ! -f "%{_java_home}/default" ]; then
	ln -sf %{_java_home}/latest %{_java_home}/default
fi

%files -f /tmp/jdk.list
%defattr(-,root,root)
%{_sysconfdir}/.java
%{_sysconfdir}/profile.d/jdk.csh
%{_sysconfdir}/profile.d/jdk.sh

%changelog
* Thu Oct 16 2014 JoungKyun.Kim <http://oops.org> 0:1.7.0-71%{?dist}
- update 1.7.0 u71
- security fix
 . CVE-2014-6513
 . CVE-2014-6532
 . CVE-2014-6503
 . CVE-2014-6456
 . CVE-2014-6492
 . CVE-2014-6493
 . CVE-2014-4288
 . CVE-2014-6466
 . CVE-2014-6458
 . CVE-2014-6506
 . CVE-2014-6511
 . CVE-2014-6476
 . CVE-2014-6515
 . CVE-2014-6504
 . CVE-2014-6519
 . CVE-2014-6517
 . CVE-2014-6531
 . CVE-2014-6512
 . CVE-2014-6457
 . CVE-2014-6527
 . CVE-2014-6502
 . CVE-2014-6558

* Thu Jul 17 2014 JoungKyun.Kim <http://oops.org> 0:1.7.0-65%{?dist}
- update 1.7.0 u65
- security fix
  . CVE-2014-4227
  . CVE-2014-4219
  . CVE-2014-2490
  . CVE-2014-4216
  . CVE-2014-2483
  . CVE-2014-4223
  . CVE-2014-4262
  . CVE-2014-4209
  . CVE-2014-4265
  . CVE-2014-4220
  . CVE-2014-4218
  . CVE-2014-4252
  . CVE-2014-4266
  . CVE-2014-4268
  . CVE-2014-4264
  . CVE-2014-4221
  . CVE-2014-4244
  . CVE-2014-4263
  . CVE-2014-4208

* Mon Jun  9 2014 JoungKyun.Kim <http://oops.org> 0:1.7.0-60%{?dist}
- update 1.7.0 u60
- see also http://www.oracle.com/technetwork/java/javase/7u60-relnotes-2200106.html

* Thu Apr 17 2014 JoungKyun.Kim <http://oops.org> 0:1.7.0-55%{?dist}
- update 1.7.0 u55
- security fix
  . CVE-2014-0429
  . CVE-2014-0457
  . CVE-2014-0456
  . CVE-2014-2421
  . CVE-2014-2397
  . CVE-2014-0432
  . CVE-2014-0455
  . CVE-2014-0461
  . CVE-2014-0448
  . CVE-2014-2428
  . CVE-2014-2412
  . CVE-2014-0451
  . CVE-2014-0458
  . CVE-2014-2423
  . CVE-2014-0452
  . CVE-2014-2414
  . CVE-2014-2402
  . CVE-2014-0446
  . CVE-2014-0454
  . CVE-2014-2427
  . CVE-2014-2422
  . CVE-2014-2409
  . CVE-2014-0460
  . CVE-2013-6954
  . CVE-2013-6629
  . CVE-2014-0449
  . CVE-2014-2403
  . CVE-2014-2401
  . CVE-2014-0459
  . CVE-2014-2413
  . CVE-2014-0453
  . CVE-2014-2398
  . CVE-2014-1876
  . CVE-2014-2420


* Thu Jan 16 2014 JoungKyun.Kim <http://oops.org> 0:1.7.0-51%{?dist}
- update 1.7.0 u51
- security fix
  . CVE-2014-0410
  . CVE-2014-0415
  . CVE-2013-5907
  . CVE-2014-0428
  . CVE-2014-0422
  . CVE-2014-0385
  . CVE-2013-5889
  . CVE-2014-0408
  . CVE-2013-5893
  . CVE-2014-0417
  . CVE-2014-0387
  . CVE-2014-0424
  . CVE-2014-0373
  . CVE-2013-5878
  . CVE-2013-5904
  . CVE-2013-5870
  . CVE-2014-0403
  . CVE-2014-0375
  . CVE-2014-0423
  . CVE-2013-5905
  . CVE-2013-5906
  . CVE-2013-5902
  . CVE-2014-0418
  . CVE-2013-5887
  . CVE-2013-5899
  . CVE-2013-5896
  . CVE-2013-5884
  . CVE-2014-0416
  . CVE-2014-0376
  . CVE-2014-0368
  . CVE-2013-5910
  . CVE-2013-5895
  . CVE-2013-5888
  . CVE-2014-0382
  . CVE-2013-5898
  . CVE-2014-0411

* Wed Oct 30 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-45%{?dist}
- update 1.7.0 u45
- security fix
  . CVE-2013-5782
  . CVE-2013-5830
  . CVE-2013-5809
  . CVE-2013-5829
  . CVE-2013-5814
  . CVE-2013-5824
  . CVE-2013-5788
  . CVE-2013-5787
  . CVE-2013-5789
  . CVE-2013-5817
  . CVE-2013-5842
  . CVE-2013-5843
  . CVE-2013-5832
  . CVE-2013-5850
  . CVE-2013-5838
  . CVE-2013-5805
  . CVE-2013-5806
  . CVE-2013-5846
  . CVE-2013-5810
  . CVE-2013-5844
  . CVE-2013-5777
  . CVE-2013-5852
  . CVE-2013-5802
  . CVE-2013-5775
  . CVE-2013-5804
  . CVE-2013-5812
  . CVE-2013-3829
  . CVE-2013-5783
  . CVE-2013-5825
  . CVE-2013-4002
  . CVE-2013-5823
  . CVE-2013-5778
  . CVE-2013-5801
  . CVE-2013-5776
  . CVE-2013-5818
  . CVE-2013-5819
  . CVE-2013-5831
  . CVE-2013-5820
  . CVE-2013-5851
  . CVE-2013-5840
  . CVE-2013-5774
  . CVE-2013-5848
  . CVE-2013-5780
  . CVE-2013-5800
  . CVE-2013-5849
  . CVE-2013-5790
  . CVE-2013-5784
  . CVE-2013-5797
  . CVE-2013-5772
  . CVE-2013-5803
  . CVE-2013-5854

* Mon Sep 16 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-40%{?dist}
- update u40
  http://www.oracle.com/technetwork/java/javase/2col/7u40-bugfixes-2007733.html

* Thu Jun 20 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-25%{?dist}
- udpate 1.7.0 u25
- security fix
  . CVE-2013-2470
  . CVE-2013-2471
  . CVE-2013-2472
  . CVE-2013-2473
  . CVE-2013-2463
  . CVE-2013-2464
  . CVE-2013-2465
  . CVE-2013-2469
  . CVE-2013-2459
  . CVE-2013-2468
  . CVE-2013-2466
  . CVE-2013-2462
  . CVE-2013-2460
  . CVE-2013-2445
  . CVE-2013-2448
  . CVE-2013-2442
  . CVE-2013-2461
  . CVE-2013-2407
  . CVE-2013-2454
  . CVE-2013-2458
  . CVE-2013-2444
  . CVE-2013-2446
  . CVE-2013-2437
  . CVE-2013-2400
  . CVE-2013-3744
  . CVE-2013-2457
  . CVE-2013-2453
  . CVE-2013-2443
  . CVE-2013-2452
  . CVE-2013-2455
  . CVE-2013-2447
  . CVE-2013-2450
  . CVE-2013-2456
  . CVE-2013-2412
  . CVE-2013-2449
  . CVE-2013-1571
  . CVE-2013-2451
  . CVE-2013-1500

* Fri Apr 19 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-21%{?dist}
- update 1.7.0 u21
- security issues
  . CVE-2013-2383
  . CVE-2013-2384
  . CVE-2013-1569
  . CVE-2013-2434
  . CVE-2013-2432
  . CVE-2013-2420
  . CVE-2013-1491
  . CVE-2013-1558
  . CVE-2013-2440
  . CVE-2013-2435
  . CVE-2013-2431
  . CVE-2013-2425
  . CVE-2013-1518
  . CVE-2013-2414
  . CVE-2013-2428
  . CVE-2013-2427
  . CVE-2013-2422
  . CVE-2013-1537
  . CVE-2013-1557
  . CVE-2013-2421
  . CVE-2013-0402
  . CVE-2013-2426
  . CVE-2013-2436
  . CVE-2013-1488
  . CVE-2013-2394
  . CVE-2013-2430
  . CVE-2013-2429
  . CVE-2013-1563
  . CVE-2013-2439
  . CVE-2013-0401
  . CVE-2013-2419
  . CVE-2013-2424
  . CVE-2013-1561
  . CVE-2013-1564
  . CVE-2013-2438
  . CVE-2013-2417
  . CVE-2013-2418
  . CVE-2013-2416
  . CVE-2013-2433
  . CVE-2013-1540
  . CVE-2013-2423
  . CVE-2013-2415

* Fri Mar  8 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-17%{?dist}
- update 1.7.0 u17
- security issues

  . CVE-2013-0809
    Unspecified vulnerability in the 2D component in the Java Runtime
    Environment (JRE) componentate allows remote attackers to execute
    arbitrary code via unknown vectors, a different vulnerability than
    CVE-2013-1493.

  . CVE-2013-1493
    The color management (CMM) functionality in the 2D component allows
    remote attackers to execute arbitrary code or cause a denial of
    service (crash) via an image with crafted raster parameters, which
    triggers (1) an out-of-bounds read or (2) memory corruption in the
    JVM, as exploited in the wild in February 2013.

* Mon Mar  4 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-15%{?dist}
- update 1.7.0 u15
- security issues
  . CVE-2013-1487
  . CVE-2013-1486
  . CVE-2013-1484
  . CVE-2013-1485
  . CVE-2013-0169

* Mon Feb 11 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-13%{?dist}
- update 1.7.0 u13
- security issue
  . CVE-2013-0437
  . CVE-2013-1478
  . CVE-2013-0445
  . CVE-2013-0442
  . CVE-2013-1480
  . CVE-2013-0441
  . CVE-2013-1475
  . CVE-2013-1476
  . CVE-2012-1541
  . CVE-2013-0446
  . CVE-2012-3342
  . CVE-2013-0450
  . CVE-2013-1479
  . CVE-2013-0425
  . CVE-2013-0426
  . CVE-2013-0428
  . CVE-2012-3213
  . CVE-2013-0444
  . CVE-2013-0429
  . CVE-2013-0419
  . CVE-2013-0423
  . CVE-2013-0351
  . CVE-2013-0430
  . CVE-2013-0432
  . CVE-2013-0449
  . CVE-2013-1473
  . CVE-2013-0435
  . CVE-2013-0434
  . CVE-2013-0409
  . CVE-2013-0431
  . CVE-2013-0427
  . CVE-2013-0448
  . CVE-2013-0433
  . CVE-2013-0424
  . CVE-2013-0440
  . CVE-2013-0438
  . CVE-2013-0443
  . CVE-2013-1489

* Wed Jan 23 2013 JoungKyun.Kim <http://oops.org> 0:1.7.0-11%{?dist}
- update 1.7.0 u11

* Thu Nov 22 2012 JoungKyun.Kim <http://oops.org> 0:1.7.0-9%{?dist}
- update 1.7.0 u9

* Tue Sep  4 2012 JoungKyun.Kim <http://oops.org> 0:1.7.0-7%{?dist}
- update 1.7.0 u7

* Mon Jun  2 2012 JoungKyun.Kim <http://oops.org> 0:1.7.0-5%{?dist}
- update 1.7.0 u5

* Fri Apr 13 2012 JoungKyun.Kim <http://oops.org> 0:1.7.0-3%{?dist}
- update 1.7.0 u3

* Tue Apr 10 2012 JoungKyun.Kim <http://oops.org> 0:1.6.0-31%{?dist}
- update 1.6.0 u31

